{% extends 'base.html' %}
{% load bootstrap5 %}


{% block content %}
    <div class="text-center">
        You were successfully authenticated as {{ user.username }} using {{ auth_type }} based authentication
    </div>
    <hr>
    <table class="table table-striped">
      <thead>
        <tr>
          <th>Data key</th>
          <th>Data received in POST</th>
          <th>Data stored in DB</th>
        </tr>
      </thead>
      <tbody>
      {% for key, values in table_data.items %}
      <tr>
      <td>{{ key }}</td>
      <td>{{ values.0|default:'Not stored' }}</td>
      <td>{{ values.1|default:'Not stored' }}</td>
      </tr>
      {% endfor %}
      </tbody>
    </table>

    <div class="text-center">
        {% url 'auth:profile' pk=user.pk as profile_url %}
        {% bootstrap_button content='Profile' button_class='btn-warning' href=profile_url size='large' %}
        {% url 'auth:logout' as logout_url%}
        {% bootstrap_button content='Logout' button_class='btn-warning text-center' href=logout_url size='large' %}
    </div>

{% endblock content %}